Index: trunk/ab5.0/abdev/BasicCompiler_Common/src/BreakPoint.cpp
===================================================================
--- trunk/ab5.0/abdev/BasicCompiler_Common/src/BreakPoint.cpp	(revision 745)
+++ trunk/ab5.0/abdev/BasicCompiler_Common/src/BreakPoint.cpp	(revision 750)
@@ -37,5 +37,5 @@
 
 	extern BasicSources sourcesLinkRelationalObjectModule;
-	BOOST_FOREACH( const BasicSource &source, sourcesLinkRelationalObjectModule )
+	foreach( const BasicSource &source, sourcesLinkRelationalObjectModule )
 	{
 		pIncludedFilesRelation = &source.GetIncludedFilesRelation();
Index: trunk/ab5.0/abdev/BasicCompiler_Common/src/CommonCodeGenerator.cpp
===================================================================
--- trunk/ab5.0/abdev/BasicCompiler_Common/src/CommonCodeGenerator.cpp	(revision 745)
+++ trunk/ab5.0/abdev/BasicCompiler_Common/src/CommonCodeGenerator.cpp	(revision 750)
@@ -28,5 +28,5 @@
 void CodeGenerator::ResolveExitSubSchedule()
 {
-	BOOST_FOREACH( long exitSubCodePosition, exitSubCodePositions )
+	foreach( long exitSubCodePosition, exitSubCodePositions )
 	{
 		pNativeCode->Overwrite( exitSubCodePosition, (long)( pNativeCode->GetSize()-(exitSubCodePosition+sizeof(long)) ) );
Index: trunk/ab5.0/abdev/BasicCompiler_Common/src/Compiler.cpp
===================================================================
--- trunk/ab5.0/abdev/BasicCompiler_Common/src/Compiler.cpp	(revision 745)
+++ trunk/ab5.0/abdev/BasicCompiler_Common/src/Compiler.cpp	(revision 750)
@@ -24,5 +24,5 @@
 Compiler::~Compiler()
 {
-	BOOST_FOREACH( ObjectModule *pStaticLibrary, staticLibraries )
+	foreach( ObjectModule *pStaticLibrary, staticLibraries )
 	{
 		delete pStaticLibrary;
@@ -33,5 +33,5 @@
 void Compiler::PreStaticLink( const ObjectModules &staticLibraries )
 {
-	BOOST_FOREACH( const ObjectModule *pStaticLibrary, staticLibraries )
+	foreach( const ObjectModule *pStaticLibrary, staticLibraries )
 	{
 		// 関連オブジェクトモジュールの名前リスト
@@ -41,5 +41,5 @@
 void Compiler::StaticLink( ObjectModules &staticLibraries )
 {
-	BOOST_FOREACH( ObjectModule *pStaticLibrary, staticLibraries )
+	foreach( ObjectModule *pStaticLibrary, staticLibraries )
 	{
 		if( &this->GetObjectModule() == pStaticLibrary )
@@ -160,5 +160,5 @@
 		// 仮型パラメータを実型パラメータに変換
 		Types actualTypes;
-		BOOST_FOREACH( const GenericType &genericType, genericTypes )
+		foreach( const GenericType &genericType, genericTypes )
 		{
 			actualTypes.push_back( genericType.GetType() );
@@ -378,5 +378,5 @@
 				// テンプレート展開済みのクラスの場合
 				std::string actualGenericTypesName;
-				BOOST_FOREACH( const Type &typeParameter, type.GetClass().expandedClassActualTypeParameters )
+				foreach( const Type &typeParameter, type.GetClass().expandedClassActualTypeParameters )
 				{
 					if( actualGenericTypesName.size() )
Index: trunk/ab5.0/abdev/BasicCompiler_Common/src/DataTableGenerator.cpp
===================================================================
--- trunk/ab5.0/abdev/BasicCompiler_Common/src/DataTableGenerator.cpp	(revision 745)
+++ trunk/ab5.0/abdev/BasicCompiler_Common/src/DataTableGenerator.cpp	(revision 750)
@@ -28,5 +28,5 @@
 	//dataTable.schedules.push_back( Schedule( Schedule::TypeInfo, &objClass, dataTableOffset + offsetForTypeInfo ) );
 
-	BOOST_FOREACH( const std::string &initMemberValue, initMemberValues )
+	foreach( const std::string &initMemberValue, initMemberValues )
 	{
 		int i = 0;
@@ -207,5 +207,5 @@
 	bool isSuccessful = true;
 	int i = 0;
-	BOOST_FOREACH( const std::string &paramStr, parameters )
+	foreach( const std::string &paramStr, parameters )
 	{
 		if( paramStr.size() == 0 )
Index: trunk/ab5.0/abdev/BasicCompiler_Common/src/Exception.cpp
===================================================================
--- trunk/ab5.0/abdev/BasicCompiler_Common/src/Exception.cpp	(revision 745)
+++ trunk/ab5.0/abdev/BasicCompiler_Common/src/Exception.cpp	(revision 750)
@@ -50,5 +50,5 @@
 	void ResolveJmpFinally()
 	{
-		BOOST_FOREACH( const PertialSchedule *pPertialSchedule, finallySchedules )
+		foreach( const PertialSchedule *pPertialSchedule, finallySchedules )
 		{
 			compiler.codeGenerator.opfix_JmpPertialSchedule( pPertialSchedule );
@@ -192,5 +192,5 @@
 
 		int pos = 0;
-		BOOST_FOREACH( const CatchScope &catchScope, catchScopes )
+		foreach( const CatchScope &catchScope, catchScopes )
 		{
 			// パラメータのクラス名
@@ -214,5 +214,5 @@
 
 		pos = 0;
-		BOOST_FOREACH( const CatchScope &catchScope, catchScopes )
+		foreach( const CatchScope &catchScope, catchScopes )
 		{
 			// パラメータのクラス名
Index: trunk/ab5.0/abdev/BasicCompiler_Common/src/LexicalAnalyzer_Class.cpp
===================================================================
--- trunk/ab5.0/abdev/BasicCompiler_Common/src/LexicalAnalyzer_Class.cpp	(revision 745)
+++ trunk/ab5.0/abdev/BasicCompiler_Common/src/LexicalAnalyzer_Class.cpp	(revision 750)
@@ -208,5 +208,5 @@
 
 	bool result = true;
-	BOOST_FOREACH( Member *pMember, objClass.GetDynamicMembers() ){
+	foreach( Member *pMember, objClass.GetDynamicMembers() ){
 		if(pMember->GetType().IsStruct()){
 			//循環参照でないかをチェック
@@ -332,5 +332,5 @@
 
 	//メソッド
-	BOOST_FOREACH( const CMethod *pMethod, pobj_c->GetDynamicMethods() )
+	foreach( const CMethod *pMethod, pobj_c->GetDynamicMethods() )
 	{
 		//基底クラスと重複する場合はオーバーライドを行う
@@ -363,5 +363,5 @@
 	{
 		// インターフェイス メソッドのオーバーライド
-		BOOST_FOREACH( ::Interface *pInterface, pobj_c->GetInterfaces() )
+		foreach( ::Interface *pInterface, pobj_c->GetInterfaces() )
 		{
 			if( interfaceName[0] )
@@ -438,5 +438,5 @@
 		// 型パラメータ文字列から型データを取得
 		Types actualTypeParameters;
-		BOOST_FOREACH( const std::string &typeParameterStr, typeParameterStrings )
+		foreach( const std::string &typeParameterStr, typeParameterStrings )
 		{
 			Type type;
@@ -517,5 +517,5 @@
 {
 	// まずは継承されたインターフェイスを実装する
-	BOOST_FOREACH( ::Interface *pInheritsInterface, pInterface->GetClass().GetInterfaces() )
+	foreach( ::Interface *pInheritsInterface, pInterface->GetClass().GetInterfaces() )
 	{
 		// TODO: actualTypeParametersの引渡し
@@ -532,5 +532,5 @@
 	// 基底クラスのメソッドからインターフェイスメソッドを再実装する
 	/////////////////////////////////////////////////////////////////
-	BOOST_FOREACH( CMethod *pMethod, _class.GetDynamicMethods() )
+	foreach( CMethod *pMethod, _class.GetDynamicMethods() )
 	{
 		DynamicMethod *pMethodForOverride = pInterface->GetDynamicMethods().FindForOverride( pInterface->GetActualTypeParameters(), &pMethod->GetUserProc() );
@@ -612,5 +612,5 @@
 	SplitParameter( interfaceNames, paramStrs );
 	
-	BOOST_FOREACH( const std::string &paramStr, paramStrs )
+	foreach( const std::string &paramStr, paramStrs )
 	{
 		char className[VN_SIZE];
@@ -619,5 +619,5 @@
 
 		Types actualTypeParameters;
-		BOOST_FOREACH( const std::string &typeParameterStr, typeParameterStrings )
+		foreach( const std::string &typeParameterStr, typeParameterStrings )
 		{
 			Type type;
@@ -821,5 +821,5 @@
 				// 型パラメータ文字列から型データを取得
 				Types actualTypeParameters;
-				BOOST_FOREACH( const std::string &typeParameterStr, typeParameterStrings )
+				foreach( const std::string &typeParameterStr, typeParameterStrings )
 				{
 					Type type;
@@ -1389,5 +1389,5 @@
 
 	// パラメータのジェネリック型を解決
-	BOOST_FOREACH( const Parameter *pParam, pBaseMethod->GetUserProc().Params() )
+	foreach( const Parameter *pParam, pBaseMethod->GetUserProc().Params() )
 	{
 		Type type = pParam->IsTypeParameter()
@@ -1398,5 +1398,5 @@
 		pUserProc->GetParameters().push_back( new Parameter( *pParam, type ) );
 	}
-	BOOST_FOREACH( const Parameter *pParam, pBaseMethod->GetUserProc().RealParams() )
+	foreach( const Parameter *pParam, pBaseMethod->GetUserProc().RealParams() )
 	{
 		Type type = pParam->IsTypeParameter()
@@ -1440,5 +1440,5 @@
 	// 実型パラメータに値型が含まれないとき
 	bool isValueType = false;
-	BOOST_FOREACH( const Type &actualType, actualTypes )
+	foreach( const Type &actualType, actualTypes )
 	{
 		if( actualType.IsValueType() )
@@ -1453,5 +1453,5 @@
 
 	// 展開済みのクラスがあればそれを返す
-	BOOST_FOREACH( const ExpandedTemplateClass *pExpandedTemplateClass, _class.expandedTemplateClasses )
+	foreach( const ExpandedTemplateClass *pExpandedTemplateClass, _class.expandedTemplateClasses )
 	{
 		if( pExpandedTemplateClass->GetActualTypes().IsEquals( actualTypes ) )
@@ -1487,5 +1487,5 @@
 	{
 		Types expandedSuperClassActualTypes;
-		BOOST_FOREACH( const Type &superClassActualType, _class.GetSuperClassActualTypeParameters() )
+		foreach( const Type &superClassActualType, _class.GetSuperClassActualTypeParameters() )
 		{
 			expandedSuperClassActualTypes.push_back( TemplateExpand_ResolveType( superClassActualType, actualTypes ) );
@@ -1497,5 +1497,5 @@
 
 	// インターフェイスのジェネリック型を解決
-	BOOST_FOREACH( const ::Interface *pInterface, _class.GetInterfaces() )
+	foreach( const ::Interface *pInterface, _class.GetInterfaces() )
 	{
 		const CClass *pExpandedInterfaceClass = TemplateExpand( *const_cast<CClass *>(&pInterface->GetClass()), actualTypes );
@@ -1504,5 +1504,5 @@
 
 		// インターフェイス メソッドのジェネリック型を解決
-		BOOST_FOREACH( const CMethod *pMethod, pInterface->GetDynamicMethods() )
+		foreach( const CMethod *pMethod, pInterface->GetDynamicMethods() )
 		{
 			if( pMethod->GetUserProc().GetParentClassPtr() == &_class )
@@ -1533,5 +1533,5 @@
 
 	// メンバのジェネリック型を解決
-	BOOST_FOREACH( const Member *pMember, _class.GetDynamicMembers() )
+	foreach( const Member *pMember, _class.GetDynamicMembers() )
 	{
 		Type type = pMember->GetType();
@@ -1549,5 +1549,5 @@
 
 	// クラス メソッドのジェネリック型を解決
-	BOOST_FOREACH( const CMethod *pMethod, _class.GetDynamicMethods() )
+	foreach( const CMethod *pMethod, _class.GetDynamicMethods() )
 	{
 		if( pMethod->GetUserProc().GetParentClassPtr() == &_class )
Index: trunk/ab5.0/abdev/BasicCompiler_Common/src/LexicalAnalyzer_Delegate.cpp
===================================================================
--- trunk/ab5.0/abdev/BasicCompiler_Common/src/LexicalAnalyzer_Delegate.cpp	(revision 745)
+++ trunk/ab5.0/abdev/BasicCompiler_Common/src/LexicalAnalyzer_Delegate.cpp	(revision 750)
@@ -144,5 +144,5 @@
 			std::string namespaceScopesCommandStr;
 			std::string endNamespaceScopesCommandStr;
-			BOOST_FOREACH( const std::string &namespaceStr, dg.GetNamespaceScopes() )
+			foreach( const std::string &namespaceStr, dg.GetNamespaceScopes() )
 			{
 				if( namespaceScopesCommandStr.size() )
@@ -205,5 +205,5 @@
 		LexicalAnalyzer::ExtractParameterVarNames( dg.GetParamStr().c_str(), paramVarNames, dg.GetSourceIndex() );
 		std::string tempParamStrForCall;
-		BOOST_FOREACH( const std::string &varName, paramVarNames )
+		foreach( const std::string &varName, paramVarNames )
 		{
 			if( !tempParamStrForCall.empty() )
Index: trunk/ab5.0/abdev/BasicCompiler_Common/src/LexicalAnalyzer_Enum.cpp
===================================================================
--- trunk/ab5.0/abdev/BasicCompiler_Common/src/LexicalAnalyzer_Enum.cpp	(revision 745)
+++ trunk/ab5.0/abdev/BasicCompiler_Common/src/LexicalAnalyzer_Enum.cpp	(revision 750)
@@ -160,7 +160,7 @@
 	buffer.reserve(65536);
 
-	BOOST_FOREACH( const EnumInfo &enumInfo, enums )
+	foreach( const EnumInfo &enumInfo, enums )
 	{
-		BOOST_FOREACH( const std::string &namespaceStr, enumInfo.GetNamespaceScopes() ){
+		foreach( const std::string &namespaceStr, enumInfo.GetNamespaceScopes() ){
 			buffer.append("Namespace ").append(namespaceStr) += '\n';
 		}
@@ -179,5 +179,5 @@
 		buffer.append("\tEnd Sub\n");
 
-		BOOST_FOREACH( const EnumMember &member, enumInfo.GetMembers() )
+		foreach( const EnumMember &member, enumInfo.GetMembers() )
 		{
 			buffer.append("\tStatic ")
@@ -190,5 +190,5 @@
 		buffer.append("End Class\n");
 
-		BOOST_FOREACH( const std::string &namespaceStr, enumInfo.GetNamespaceScopes() ){
+		foreach( const std::string &namespaceStr, enumInfo.GetNamespaceScopes() ){
 			buffer.append("End Namespace\n");
 		}
Index: trunk/ab5.0/abdev/BasicCompiler_Common/src/LexicalAnalyzer_Procedure.cpp
===================================================================
--- trunk/ab5.0/abdev/BasicCompiler_Common/src/LexicalAnalyzer_Procedure.cpp	(revision 745)
+++ trunk/ab5.0/abdev/BasicCompiler_Common/src/LexicalAnalyzer_Procedure.cpp	(revision 750)
@@ -120,5 +120,5 @@
 
 	//パラメータ
-	BOOST_FOREACH( const std::string &paramStr, parameterStrings )
+	foreach( const std::string &paramStr, parameterStrings )
 	{
 		int i = 0;
@@ -384,5 +384,5 @@
 
 	//パラメータをコピー
-	BOOST_FOREACH( Parameter *pParam, userProc.GetParameters() ){
+	foreach( Parameter *pParam, userProc.GetParameters() ){
 		userProc.RealParams().push_back( new Parameter( *pParam ) );
 	}
@@ -733,5 +733,5 @@
 	{
 		::Interface *pTargetInterface = NULL;
-		BOOST_FOREACH( ::Interface *pInterface, pobj_c->GetInterfaces() )
+		foreach( ::Interface *pInterface, pobj_c->GetInterfaces() )
 		{
 			if( pInterface->GetClass().GetName() == interfaceName )
@@ -855,5 +855,5 @@
 
 	// パラメータのエラーチェック
-	BOOST_FOREACH( const Parameter *pParam, pDllProc->Params() ){
+	foreach( const Parameter *pParam, pDllProc->Params() ){
 		if( pParam->IsObject() ){
 			compiler.errorMessenger.Output(25,pParam->GetVarName(),nowLine);
Index: trunk/ab5.0/abdev/BasicCompiler_Common/src/LexicalScope.cpp
===================================================================
--- trunk/ab5.0/abdev/BasicCompiler_Common/src/LexicalScope.cpp	(revision 745)
+++ trunk/ab5.0/abdev/BasicCompiler_Common/src/LexicalScope.cpp	(revision 750)
@@ -23,5 +23,5 @@
 }
 void LexicalScope::RunScheduleOfBreak(){
-	BOOST_FOREACH( const PertialSchedule *pBreakPertialSchedule, breakPertialSchedules )
+	foreach( const PertialSchedule *pBreakPertialSchedule, breakPertialSchedules )
 	{
 		compiler.codeGenerator.opfix_JmpPertialSchedule( pBreakPertialSchedule );
@@ -76,5 +76,5 @@
 
 	//使用済みローカル変数の生存チェックを外す
-	BOOST_FOREACH( Variable *pVar, (*pVars) )
+	foreach( Variable *pVar, (*pVars) )
 	{
 		if( pVar->isLiving && pVar->GetScopeLevel() == level )
Index: trunk/ab5.0/abdev/BasicCompiler_Common/src/Linker.cpp
===================================================================
--- trunk/ab5.0/abdev/BasicCompiler_Common/src/Linker.cpp	(revision 745)
+++ trunk/ab5.0/abdev/BasicCompiler_Common/src/Linker.cpp	(revision 750)
@@ -7,5 +7,5 @@
 void Linker::ResolveDataTableSchedules( long dataSectionBaseOffset )
 {
-	BOOST_FOREACH( const Schedule &schedule, nativeCode.GetSchedules() )
+	foreach( const Schedule &schedule, nativeCode.GetSchedules() )
 	{
 		if( schedule.GetType() == Schedule::DataTable )
@@ -18,5 +18,5 @@
 	}
 
-	BOOST_FOREACH( const Schedule &schedule, dataTable.schedules )
+	foreach( const Schedule &schedule, dataTable.schedules )
 	{
 		if( schedule.GetType() == Schedule::DataTable )
@@ -40,5 +40,5 @@
 void Linker::ResolveCatchAddressSchedules( long codeSectionBaseOffset )
 {
-	BOOST_FOREACH( const Schedule &schedule, nativeCode.GetSchedules() )
+	foreach( const Schedule &schedule, nativeCode.GetSchedules() )
 	{
 		if( schedule.GetType() == Schedule::CatchAddress )
@@ -55,5 +55,5 @@
 	}
 
-	BOOST_FOREACH( const Schedule &schedule, dataTable.schedules )
+	foreach( const Schedule &schedule, dataTable.schedules )
 	{
 		if( schedule.GetType() == Schedule::CatchAddress )
@@ -81,5 +81,5 @@
 void Linker::ResolveDllProcSchedules( long codeSectionBaseOffset, long importSectionBaseOffset, long lookupSize, long hintSize )
 {
-	BOOST_FOREACH( const Schedule &schedule, nativeCode.GetSchedules() )
+	foreach( const Schedule &schedule, nativeCode.GetSchedules() )
 	{
 		if( schedule.GetType() == Schedule::DllProc )
@@ -105,5 +105,5 @@
 void Linker::ResolveUserProcSchedules( long codeSectionBaseOffset )
 {
-	BOOST_FOREACH( const Schedule &schedule, nativeCode.GetSchedules() )
+	foreach( const Schedule &schedule, nativeCode.GetSchedules() )
 	{
 		if( schedule.GetType() == Schedule::UserProc
@@ -139,5 +139,5 @@
 	int allInitVarSize = compiler.GetObjectModule().meta.GetGlobalVars().initAreaBuffer.GetSize();
 
-	BOOST_FOREACH( const Schedule &schedule, nativeCode.GetSchedules() )
+	foreach( const Schedule &schedule, nativeCode.GetSchedules() )
 	{
 		if( schedule.GetType() == Schedule::GlobalVar )
@@ -163,5 +163,5 @@
 void Linker::ResolveVtblSchedule( long dataSectionBaseOffset )
 {
-	BOOST_FOREACH( const Schedule &schedule, nativeCode.GetSchedules() )
+	foreach( const Schedule &schedule, nativeCode.GetSchedules() )
 	{
 		if( schedule.GetType() == Schedule::ComVtbl )
@@ -186,5 +186,5 @@
 	}
 
-	BOOST_FOREACH( const Schedule &schedule, dataTable.schedules )
+	foreach( const Schedule &schedule, dataTable.schedules )
 	{
 		if( schedule.GetType() == Schedule::ComVtbl )
@@ -226,5 +226,5 @@
 void Linker::ResolveTypeInfoSchedule( long dataSectionBaseOffset )
 {
-	BOOST_FOREACH( const Schedule &schedule, dataTable.schedules )
+	foreach( const Schedule &schedule, dataTable.schedules )
 	{
 		if( schedule.GetType() == Schedule::TypeInfo )
Index: trunk/ab5.0/abdev/BasicCompiler_Common/src/Messenger.cpp
===================================================================
--- trunk/ab5.0/abdev/BasicCompiler_Common/src/Messenger.cpp	(revision 745)
+++ trunk/ab5.0/abdev/BasicCompiler_Common/src/Messenger.cpp	(revision 750)
@@ -409,5 +409,5 @@
 {
 	int count = 0;
-	BOOST_FOREACH( const ErrorInfo &errorInfo, errorInfos )
+	foreach( const ErrorInfo &errorInfo, errorInfos )
 	{
 		if( !errorInfo.IsWarning() )
@@ -425,5 +425,5 @@
 {
 	int count = 0;
-	BOOST_FOREACH( const ErrorInfo &errorInfo, errorInfos )
+	foreach( const ErrorInfo &errorInfo, errorInfos )
 	{
 		if( errorInfo.IsWarning() )
@@ -438,5 +438,5 @@
 {
 	const ErrorInfo *pErrorInfo = NULL;
-	BOOST_FOREACH( const ErrorInfo &errorInfo, errorInfos )
+	foreach( const ErrorInfo &errorInfo, errorInfos )
 	{
 		if( errorInfo.GetErrorLineNum() == errorLineNum )
Index: trunk/ab5.0/abdev/BasicCompiler_Common/src/ProcedureGenerator.cpp
===================================================================
--- trunk/ab5.0/abdev/BasicCompiler_Common/src/ProcedureGenerator.cpp	(revision 745)
+++ trunk/ab5.0/abdev/BasicCompiler_Common/src/ProcedureGenerator.cpp	(revision 750)
@@ -47,5 +47,5 @@
 
 		int i=0;
-		BOOST_FOREACH( Member *member, objClass.GetStaticMembers() )
+		foreach( Member *member, objClass.GetStaticMembers() )
 		{
 			if( pEnumInfo )
@@ -122,5 +122,5 @@
 	std::string result;
 
-	BOOST_FOREACH( const Member *pMember, _class.GetDynamicMembers() )
+	foreach( const Member *pMember, _class.GetDynamicMembers() )
 	{
 		if( result.size() )
Index: trunk/ab5.0/abdev/BasicCompiler_Common/src/VtblGenerator.cpp
===================================================================
--- trunk/ab5.0/abdev/BasicCompiler_Common/src/VtblGenerator.cpp	(revision 745)
+++ trunk/ab5.0/abdev/BasicCompiler_Common/src/VtblGenerator.cpp	(revision 750)
@@ -9,5 +9,5 @@
 	//関数テーブルに値をセット
 	int i2 = 0;
-	BOOST_FOREACH( const CMethod *pMethod, methods )
+	foreach( const CMethod *pMethod, methods )
 	{
 		if(pMethod->IsVirtual()){
@@ -66,5 +66,5 @@
 
 	// インターフェイスのvtblを生成
-	BOOST_FOREACH( const ::Interface *pInterface, _class.GetInterfaces() )
+	foreach( const ::Interface *pInterface, _class.GetInterfaces() )
 	{
 		int tempVtblOffset = GenerateVTablePart( pInterface->GetDynamicMethods() );
@@ -100,5 +100,5 @@
 
 		// テンプレート展開されたクラスも
-		BOOST_FOREACH( ActiveBasic::Common::Lexical::ExpandedTemplateClass *pExpandedTemplateClass, pClass->expandedTemplateClasses )
+		foreach( ActiveBasic::Common::Lexical::ExpandedTemplateClass *pExpandedTemplateClass, pClass->expandedTemplateClasses )
 		{
 			if( !pExpandedTemplateClass->GetClass().expandedTemplateClasses.empty() )
@@ -149,5 +149,5 @@
 
 	// インターフェイスのvtbl
-	BOOST_FOREACH( const ::Interface *pInterface, _class.GetInterfaces() )
+	foreach( const ::Interface *pInterface, _class.GetInterfaces() )
 	{
 		LONG_PTR *pVtbl = (LONG_PTR *)((char *)compiler.GetObjectModule().dataTable.GetPtr() + pInterface->GetVtblOffset());
@@ -184,5 +184,5 @@
 
 		// テンプレート展開されたクラスも
-		BOOST_FOREACH( ActiveBasic::Common::Lexical::ExpandedTemplateClass *pExpandedTemplateClass, pClass->expandedTemplateClasses )
+		foreach( ActiveBasic::Common::Lexical::ExpandedTemplateClass *pExpandedTemplateClass, pClass->expandedTemplateClasses )
 		{
 			if( !pExpandedTemplateClass->GetClass().expandedTemplateClasses.empty() )