Index: branches/egtra/ab5.0/abdev/ab_common/ab_common.vcproj
===================================================================
--- branches/egtra/ab5.0/abdev/ab_common/ab_common.vcproj	(revision 774)
+++ branches/egtra/ab5.0/abdev/ab_common/ab_common.vcproj	(revision 775)
@@ -12,4 +12,7 @@
 			Name="Win32"
 		/>
+		<Platform
+			Name="x64"
+		/>
 	</Platforms>
 	<ToolFiles>
@@ -17,7 +20,7 @@
 	<Configurations>
 		<Configuration
-			Name="Debug(x86)|Win32"
-			OutputDirectory=".\$(ConfigurationName)"
-			IntermediateDirectory=".\$(ConfigurationName)"
+			Name="Debug|Win32"
+			OutputDirectory="$(ConfigurationName)-$(PlatformName)"
+			IntermediateDirectory="$(ConfigurationName)-$(PlatformName)"
 			ConfigurationType="4"
 			CharacterSet="2"
@@ -40,8 +43,9 @@
 			<Tool
 				Name="VCCLCompilerTool"
+				AdditionalOptions="/MP"
 				Optimization="0"
 				AdditionalIncludeDirectories="..\..\;..\..\cpplibs\boost;include"
 				PreprocessorDefinitions="WIN32;_DEBUG;_LIB"
-				MinimalRebuild="true"
+				MinimalRebuild="false"
 				BasicRuntimeChecks="3"
 				RuntimeLibrary="1"
@@ -80,7 +84,7 @@
 		</Configuration>
 		<Configuration
-			Name="Release(x86)|Win32"
-			OutputDirectory=".\$(ConfigurationName)"
-			IntermediateDirectory=".\$(ConfigurationName)"
+			Name="Debug|x64"
+			OutputDirectory="$(ConfigurationName)-$(PlatformName)"
+			IntermediateDirectory="$(ConfigurationName)-$(PlatformName)"
 			ConfigurationType="4"
 			CharacterSet="2"
@@ -101,10 +105,74 @@
 			<Tool
 				Name="VCMIDLTool"
+				TargetEnvironment="3"
 			/>
 			<Tool
 				Name="VCCLCompilerTool"
-				InlineFunctionExpansion="2"
-				EnableIntrinsicFunctions="true"
-				FavorSizeOrSpeed="1"
+				AdditionalOptions="/MP"
+				Optimization="0"
+				AdditionalIncludeDirectories="..\..\;..\..\cpplibs\boost;include"
+				PreprocessorDefinitions="WIN32;_DEBUG;_LIB"
+				MinimalRebuild="false"
+				BasicRuntimeChecks="3"
+				RuntimeLibrary="1"
+				UsePrecompiledHeader="2"
+				WarningLevel="3"
+				Detect64BitPortabilityProblems="true"
+				DebugInformationFormat="3"
+			/>
+			<Tool
+				Name="VCManagedResourceCompilerTool"
+			/>
+			<Tool
+				Name="VCResourceCompilerTool"
+			/>
+			<Tool
+				Name="VCPreLinkEventTool"
+			/>
+			<Tool
+				Name="VCLibrarianTool"
+			/>
+			<Tool
+				Name="VCALinkTool"
+			/>
+			<Tool
+				Name="VCXDCMakeTool"
+			/>
+			<Tool
+				Name="VCBscMakeTool"
+			/>
+			<Tool
+				Name="VCFxCopTool"
+			/>
+			<Tool
+				Name="VCPostBuildEventTool"
+			/>
+		</Configuration>
+		<Configuration
+			Name="Release|Win32"
+			OutputDirectory="$(ConfigurationName)-$(PlatformName)"
+			IntermediateDirectory="$(ConfigurationName)-$(PlatformName)"
+			ConfigurationType="4"
+			CharacterSet="2"
+			WholeProgramOptimization="0"
+			>
+			<Tool
+				Name="VCPreBuildEventTool"
+			/>
+			<Tool
+				Name="VCCustomBuildTool"
+			/>
+			<Tool
+				Name="VCXMLDataGeneratorTool"
+			/>
+			<Tool
+				Name="VCWebServiceProxyGeneratorTool"
+			/>
+			<Tool
+				Name="VCMIDLTool"
+			/>
+			<Tool
+				Name="VCCLCompilerTool"
+				AdditionalOptions="/MP"
 				AdditionalIncludeDirectories="..\..\;..\..\cpplibs\boost;include"
 				PreprocessorDefinitions="WIN32;NDEBUG;_LIB"
@@ -144,9 +212,10 @@
 		</Configuration>
 		<Configuration
-			Name="Debug(x64)|Win32"
-			OutputDirectory=".\$(ConfigurationName)"
-			IntermediateDirectory=".\$(ConfigurationName)"
+			Name="Release|x64"
+			OutputDirectory="$(ConfigurationName)-$(PlatformName)"
+			IntermediateDirectory="$(ConfigurationName)-$(PlatformName)"
 			ConfigurationType="4"
 			CharacterSet="2"
+			WholeProgramOptimization="0"
 			>
 			<Tool
@@ -164,74 +233,9 @@
 			<Tool
 				Name="VCMIDLTool"
+				TargetEnvironment="3"
 			/>
 			<Tool
 				Name="VCCLCompilerTool"
-				Optimization="0"
-				AdditionalIncludeDirectories="..\..\;..\..\cpplibs\boost;include"
-				PreprocessorDefinitions="WIN32;_DEBUG;_LIB"
-				MinimalRebuild="true"
-				BasicRuntimeChecks="3"
-				RuntimeLibrary="1"
-				UsePrecompiledHeader="2"
-				WarningLevel="3"
-				Detect64BitPortabilityProblems="true"
-				DebugInformationFormat="3"
-			/>
-			<Tool
-				Name="VCManagedResourceCompilerTool"
-			/>
-			<Tool
-				Name="VCResourceCompilerTool"
-			/>
-			<Tool
-				Name="VCPreLinkEventTool"
-			/>
-			<Tool
-				Name="VCLibrarianTool"
-			/>
-			<Tool
-				Name="VCALinkTool"
-			/>
-			<Tool
-				Name="VCXDCMakeTool"
-			/>
-			<Tool
-				Name="VCBscMakeTool"
-			/>
-			<Tool
-				Name="VCFxCopTool"
-			/>
-			<Tool
-				Name="VCPostBuildEventTool"
-			/>
-		</Configuration>
-		<Configuration
-			Name="Release(x64)|Win32"
-			OutputDirectory=".\$(ConfigurationName)"
-			IntermediateDirectory=".\$(ConfigurationName)"
-			ConfigurationType="4"
-			CharacterSet="2"
-			WholeProgramOptimization="1"
-			>
-			<Tool
-				Name="VCPreBuildEventTool"
-			/>
-			<Tool
-				Name="VCCustomBuildTool"
-			/>
-			<Tool
-				Name="VCXMLDataGeneratorTool"
-			/>
-			<Tool
-				Name="VCWebServiceProxyGeneratorTool"
-			/>
-			<Tool
-				Name="VCMIDLTool"
-			/>
-			<Tool
-				Name="VCCLCompilerTool"
-				InlineFunctionExpansion="2"
-				EnableIntrinsicFunctions="true"
-				FavorSizeOrSpeed="1"
+				AdditionalOptions="/MP"
 				AdditionalIncludeDirectories="..\..\;..\..\cpplibs\boost;include"
 				PreprocessorDefinitions="WIN32;NDEBUG;_LIB"
@@ -287,5 +291,5 @@
 				>
 				<FileConfiguration
-					Name="Debug(x86)|Win32"
+					Name="Debug|Win32"
 					>
 					<Tool
@@ -297,5 +301,14 @@
 				</FileConfiguration>
 				<FileConfiguration
-					Name="Release(x86)|Win32"
+					Name="Debug|x64"
+					>
+					<Tool
+						Name="VCCLCompilerTool"
+						PreprocessorDefinitions="USE_DL_PREFIX"
+						UsePrecompiledHeader="0"
+					/>
+				</FileConfiguration>
+				<FileConfiguration
+					Name="Release|Win32"
 					>
 					<Tool
@@ -308,5 +321,5 @@
 				</FileConfiguration>
 				<FileConfiguration
-					Name="Debug(x64)|Win32"
+					Name="Release|x64"
 					>
 					<Tool
@@ -314,15 +327,4 @@
 						PreprocessorDefinitions="USE_DL_PREFIX"
 						UsePrecompiledHeader="0"
-						DisableSpecificWarnings="4267"
-					/>
-				</FileConfiguration>
-				<FileConfiguration
-					Name="Release(x64)|Win32"
-					>
-					<Tool
-						Name="VCCLCompilerTool"
-						PreprocessorDefinitions="USE_DL_PREFIX"
-						UsePrecompiledHeader="0"
-						DisableSpecificWarnings="4267"
 					/>
 				</FileConfiguration>
@@ -332,5 +334,5 @@
 				>
 				<FileConfiguration
-					Name="Debug(x86)|Win32"
+					Name="Debug|Win32"
 					>
 					<Tool
@@ -340,5 +342,5 @@
 				</FileConfiguration>
 				<FileConfiguration
-					Name="Release(x86)|Win32"
+					Name="Debug|x64"
 					>
 					<Tool
@@ -348,5 +350,5 @@
 				</FileConfiguration>
 				<FileConfiguration
-					Name="Debug(x64)|Win32"
+					Name="Release|Win32"
 					>
 					<Tool
@@ -356,5 +358,5 @@
 				</FileConfiguration>
 				<FileConfiguration
-					Name="Release(x64)|Win32"
+					Name="Release|x64"
 					>
 					<Tool
@@ -415,5 +417,5 @@
 					>
 					<FileConfiguration
-						Name="Debug(x86)|Win32"
+						Name="Debug|Win32"
 						>
 						<Tool
@@ -423,13 +425,5 @@
 					</FileConfiguration>
 					<FileConfiguration
-						Name="Release(x86)|Win32"
-						>
-						<Tool
-							Name="VCCLCompilerTool"
-							UsePrecompiledHeader="0"
-						/>
-					</FileConfiguration>
-					<FileConfiguration
-						Name="Debug(x64)|Win32"
+						Name="Debug|x64"
 						>
 						<Tool
@@ -440,8 +434,17 @@
 					</FileConfiguration>
 					<FileConfiguration
-						Name="Release(x64)|Win32"
+						Name="Release|Win32"
 						>
 						<Tool
 							Name="VCCLCompilerTool"
+							UsePrecompiledHeader="0"
+						/>
+					</FileConfiguration>
+					<FileConfiguration
+						Name="Release|x64"
+						>
+						<Tool
+							Name="VCCLCompilerTool"
+							AdditionalOptions="/bigobj"
 							UsePrecompiledHeader="0"
 						/>