Index: branches/egtra/ab5.0/abdev/ab.sln
===================================================================
--- branches/egtra/ab5.0/abdev/ab.sln	(revision 784)
+++ branches/egtra/ab5.0/abdev/ab.sln	(revision 788)
@@ -1,5 +1,5 @@
 ﻿
 Microsoft Visual Studio Solution File, Format Version 11.00
-# Visual Studio 2010
+# Visual C++ Express 2010
 Project("{8BC9CEB8-8B4A-11D0-8D11-00A0C91BC942}") = "compiler", "compiler.vcxproj", "{11F0E9AB-EAEC-4616-A9DD-838073342CBB}"
 EndProject
@@ -21,6 +21,4 @@
 Global
 	GlobalSection(SolutionConfigurationPlatforms) = preSolution
-		AB_Release|Win32 = AB_Release|Win32
-		AB_Release|x64 = AB_Release|x64
 		Debug|Win32 = Debug|Win32
 		Debug|x64 = Debug|x64
@@ -29,8 +27,4 @@
 	EndGlobalSection
 	GlobalSection(ProjectConfigurationPlatforms) = postSolution
-		{11F0E9AB-EAEC-4616-A9DD-838073342CBB}.AB_Release|Win32.ActiveCfg = Release|Win32
-		{11F0E9AB-EAEC-4616-A9DD-838073342CBB}.AB_Release|Win32.Build.0 = Release|Win32
-		{11F0E9AB-EAEC-4616-A9DD-838073342CBB}.AB_Release|x64.ActiveCfg = Release|x64
-		{11F0E9AB-EAEC-4616-A9DD-838073342CBB}.AB_Release|x64.Build.0 = Release|x64
 		{11F0E9AB-EAEC-4616-A9DD-838073342CBB}.Debug|Win32.ActiveCfg = Debug|Win32
 		{11F0E9AB-EAEC-4616-A9DD-838073342CBB}.Debug|Win32.Build.0 = Debug|Win32
@@ -41,8 +35,4 @@
 		{11F0E9AB-EAEC-4616-A9DD-838073342CBB}.Release|x64.ActiveCfg = Release|x64
 		{11F0E9AB-EAEC-4616-A9DD-838073342CBB}.Release|x64.Build.0 = Release|x64
-		{DC1B787E-510F-4F7D-8F9A-182600904D83}.AB_Release|Win32.ActiveCfg = Release|Win32
-		{DC1B787E-510F-4F7D-8F9A-182600904D83}.AB_Release|Win32.Build.0 = Release|Win32
-		{DC1B787E-510F-4F7D-8F9A-182600904D83}.AB_Release|x64.ActiveCfg = Release|x64
-		{DC1B787E-510F-4F7D-8F9A-182600904D83}.AB_Release|x64.Build.0 = Release|x64
 		{DC1B787E-510F-4F7D-8F9A-182600904D83}.Debug|Win32.ActiveCfg = Debug|Win32
 		{DC1B787E-510F-4F7D-8F9A-182600904D83}.Debug|Win32.Build.0 = Debug|Win32
@@ -51,8 +41,4 @@
 		{DC1B787E-510F-4F7D-8F9A-182600904D83}.Release|Win32.Build.0 = Release|Win32
 		{DC1B787E-510F-4F7D-8F9A-182600904D83}.Release|x64.ActiveCfg = Release|x64
-		{87835C33-64C9-4BA5-9B39-608BA5394387}.AB_Release|Win32.ActiveCfg = Release|Win32
-		{87835C33-64C9-4BA5-9B39-608BA5394387}.AB_Release|Win32.Build.0 = Release|Win32
-		{87835C33-64C9-4BA5-9B39-608BA5394387}.AB_Release|x64.ActiveCfg = Release|x64
-		{87835C33-64C9-4BA5-9B39-608BA5394387}.AB_Release|x64.Build.0 = Release|x64
 		{87835C33-64C9-4BA5-9B39-608BA5394387}.Debug|Win32.ActiveCfg = Debug|Win32
 		{87835C33-64C9-4BA5-9B39-608BA5394387}.Debug|Win32.Build.0 = Debug|Win32
@@ -63,8 +49,4 @@
 		{87835C33-64C9-4BA5-9B39-608BA5394387}.Release|x64.ActiveCfg = Release|x64
 		{87835C33-64C9-4BA5-9B39-608BA5394387}.Release|x64.Build.0 = Release|x64
-		{F01805B6-65B4-4708-88F4-A5E07DEA9FBD}.AB_Release|Win32.ActiveCfg = Release|Win32
-		{F01805B6-65B4-4708-88F4-A5E07DEA9FBD}.AB_Release|Win32.Build.0 = Release|Win32
-		{F01805B6-65B4-4708-88F4-A5E07DEA9FBD}.AB_Release|x64.ActiveCfg = Release|x64
-		{F01805B6-65B4-4708-88F4-A5E07DEA9FBD}.AB_Release|x64.Build.0 = Release|x64
 		{F01805B6-65B4-4708-88F4-A5E07DEA9FBD}.Debug|Win32.ActiveCfg = Debug|Win32
 		{F01805B6-65B4-4708-88F4-A5E07DEA9FBD}.Debug|Win32.Build.0 = Debug|Win32
@@ -75,8 +57,4 @@
 		{F01805B6-65B4-4708-88F4-A5E07DEA9FBD}.Release|x64.ActiveCfg = Release|x64
 		{F01805B6-65B4-4708-88F4-A5E07DEA9FBD}.Release|x64.Build.0 = Release|x64
-		{B91DE511-E024-4EB9-B5FD-B2043E79AE44}.AB_Release|Win32.ActiveCfg = Release|Win32
-		{B91DE511-E024-4EB9-B5FD-B2043E79AE44}.AB_Release|Win32.Build.0 = Release|Win32
-		{B91DE511-E024-4EB9-B5FD-B2043E79AE44}.AB_Release|x64.ActiveCfg = Release|x64
-		{B91DE511-E024-4EB9-B5FD-B2043E79AE44}.AB_Release|x64.Build.0 = Release|x64
 		{B91DE511-E024-4EB9-B5FD-B2043E79AE44}.Debug|Win32.ActiveCfg = Debug|Win32
 		{B91DE511-E024-4EB9-B5FD-B2043E79AE44}.Debug|Win32.Build.0 = Debug|Win32
@@ -87,8 +65,4 @@
 		{B91DE511-E024-4EB9-B5FD-B2043E79AE44}.Release|x64.ActiveCfg = Release|x64
 		{B91DE511-E024-4EB9-B5FD-B2043E79AE44}.Release|x64.Build.0 = Release|x64
-		{58FF88A2-86BC-4480-95F4-71AF693FEF28}.AB_Release|Win32.ActiveCfg = Release|Win32
-		{58FF88A2-86BC-4480-95F4-71AF693FEF28}.AB_Release|Win32.Build.0 = Release|Win32
-		{58FF88A2-86BC-4480-95F4-71AF693FEF28}.AB_Release|x64.ActiveCfg = Release|x64
-		{58FF88A2-86BC-4480-95F4-71AF693FEF28}.AB_Release|x64.Build.0 = Release|x64
 		{58FF88A2-86BC-4480-95F4-71AF693FEF28}.Debug|Win32.ActiveCfg = Debug|Win32
 		{58FF88A2-86BC-4480-95F4-71AF693FEF28}.Debug|Win32.Build.0 = Debug|Win32
@@ -99,13 +73,12 @@
 		{58FF88A2-86BC-4480-95F4-71AF693FEF28}.Release|x64.ActiveCfg = Release|x64
 		{58FF88A2-86BC-4480-95F4-71AF693FEF28}.Release|x64.Build.0 = Release|x64
-		{75D495CD-8AB8-8B2D-A938-2A076F4310FF}.AB_Release|Win32.ActiveCfg = AB_Release|Win32
-		{75D495CD-8AB8-8B2D-A938-2A076F4310FF}.AB_Release|Win32.Build.0 = AB_Release|Win32
-		{75D495CD-8AB8-8B2D-A938-2A076F4310FF}.AB_Release|x64.ActiveCfg = AB_Release|Win32
 		{75D495CD-8AB8-8B2D-A938-2A076F4310FF}.Debug|Win32.ActiveCfg = AB_Release|Win32
 		{75D495CD-8AB8-8B2D-A938-2A076F4310FF}.Debug|Win32.Build.0 = AB_Release|Win32
 		{75D495CD-8AB8-8B2D-A938-2A076F4310FF}.Debug|x64.ActiveCfg = AB_Release|Win32
+		{75D495CD-8AB8-8B2D-A938-2A076F4310FF}.Debug|x64.Build.0 = AB_Release|Win32
 		{75D495CD-8AB8-8B2D-A938-2A076F4310FF}.Release|Win32.ActiveCfg = AB_Release|Win32
 		{75D495CD-8AB8-8B2D-A938-2A076F4310FF}.Release|Win32.Build.0 = AB_Release|Win32
 		{75D495CD-8AB8-8B2D-A938-2A076F4310FF}.Release|x64.ActiveCfg = AB_Release|Win32
+		{75D495CD-8AB8-8B2D-A938-2A076F4310FF}.Release|x64.Build.0 = AB_Release|Win32
 	EndGlobalSection
 	GlobalSection(SolutionProperties) = preSolution