Index: branches/egtra/ab5.0/abdev/abdev/RadToolsAndPropertyProc.cpp
===================================================================
--- branches/egtra/ab5.0/abdev/abdev/RadToolsAndPropertyProc.cpp	(revision 774)
+++ branches/egtra/ab5.0/abdev/abdev/RadToolsAndPropertyProc.cpp	(revision 794)
@@ -211,5 +211,5 @@
 	switch(message){
 		case WM_CREATE:
-			CreateDialog(hResInst,MAKEINTRESOURCE(IDD_RAD_CTRLBUTTONS),hwnd,(DLGPROC)RadToolButtonsProc);
+			ActiveBasic::Resource::CreateDialogAlt(hResInst, IDD_RAD_CTRLBUTTONS, hwnd, RadToolButtonsProc);
 			return 0;
 		case WM_VSCROLL:
@@ -679,5 +679,8 @@
 				case IDC_RENAMEWINDOW:
 					{
-						if(!DialogBox(hResInst,MAKEINTRESOURCE(IDD_RAD_PROP_WINDOW_RENAME),hwnd,DlgRadProperty_Window_Rename)) return 1;
+						if (!ActiveBasic::Resource::DialogBoxAlt(hResInst, IDD_RAD_PROP_WINDOW_RENAME, hwnd, DlgRadProperty_Window_Rename))
+						{
+							return 1;
+						}
 						i=GetWndNum(GetParent(GetParent(hwnd)));
 						ActiveBasic::PM::WindowInfo *pWindowInfo = GetWndInfo(MdiInfo[i]->path);
@@ -688,5 +691,8 @@
 				case IDC_RENAMECAPTION:
 					{
-						if(!DialogBox(hResInst,MAKEINTRESOURCE(IDD_RAD_PROP_ITEM_RENAMECAPTION),hwnd,DlgRadProperty_Item_RenameCaption)) return 1;
+						if (!ActiveBasic::Resource::DialogBoxAlt(hResInst, IDD_RAD_PROP_ITEM_RENAMECAPTION, hwnd, DlgRadProperty_Item_RenameCaption))
+						{
+							return 1;
+						}
 						i=GetWndNum(GetParent(GetParent(hwnd)));
 						ActiveBasic::PM::WindowInfo *pWindowInfo = GetWndInfo(MdiInfo[i]->path);
@@ -1073,5 +1079,8 @@
 
 				case IDC_EXSTYLE:
-					if(!DialogBox(hResInst,MAKEINTRESOURCE(IDD_RAD_PROP_WINDOW_EXSTYLE),hwnd,DlgRadProperty_Window_ExStyle)) return 1;
+					if (!ActiveBasic::Resource::DialogBoxAlt(hResInst, IDD_RAD_PROP_WINDOW_EXSTYLE, hwnd, DlgRadProperty_Window_ExStyle))
+					{
+						return 1;
+					}
 					i=GetWndNum(GetParent(GetParent(hwnd)));
 					DrawRadWindow(i,GetWndInfo(MdiInfo[i]->path));
@@ -1305,9 +1314,15 @@
 	switch(LOWORD(wParam)){
 		case IDC_RENAMEID:
-			if(!DialogBox(hResInst,MAKEINTRESOURCE(IDD_RAD_PROP_ITEM_RENAMEID),hwnd,DlgRadProperty_Item_RenameID)) return 1;
+			if (!ActiveBasic::Resource::DialogBoxAlt(hResInst, IDD_RAD_PROP_ITEM_RENAMEID, hwnd, DlgRadProperty_Item_RenameID))
+			{
+				return 1;
+			}
 			SetDlgItemText(hwnd,IDC_IDNAME,pWindowInfo->childWindowInfos[MdiInfo[WndNum]->MdiRadInfo->SelectingItem[0]]->GetName().c_str());
 			return 1;
 		case IDC_RENAMECAPTION:
-			if(!DialogBox(hResInst,MAKEINTRESOURCE(IDD_RAD_PROP_ITEM_RENAMECAPTION),hwnd,DlgRadProperty_Item_RenameCaption)) return 1;
+			if (!ActiveBasic::Resource::DialogBoxAlt(hResInst, IDD_RAD_PROP_ITEM_RENAMECAPTION, hwnd, DlgRadProperty_Item_RenameCaption))
+			{
+				return 1;
+			}
 			SetDlgItemText(hwnd,IDC_CAPTION,pWindowInfo->childWindowInfos[MdiInfo[WndNum]->MdiRadInfo->SelectingItem[0]]->GetCaption().c_str());
 			return 1;
@@ -1634,5 +1649,8 @@
 
 					case IDC_EXSTYLE:
-						if(!DialogBox(hResInst,MAKEINTRESOURCE(IDD_RAD_PROP_ITEM_EXSTYLE),hwnd,DlgRadProperty_Item_ExStyle)) return 1;
+						if (!ActiveBasic::Resource::DialogBoxAlt(hResInst, IDD_RAD_PROP_ITEM_EXSTYLE, hwnd, DlgRadProperty_Item_ExStyle))
+						{
+							return 1;
+						}
 						DrawRadWindow(i,pWindowInfo);
 						return 1;
@@ -1916,5 +1934,8 @@
 
 					case IDC_EXSTYLE:
-						if(!DialogBox(hResInst,MAKEINTRESOURCE(IDD_RAD_PROP_ITEM_EXSTYLE),hwnd,DlgRadProperty_Item_ExStyle)) return 1;
+						if (!ActiveBasic::Resource::DialogBoxAlt(hResInst, IDD_RAD_PROP_ITEM_EXSTYLE, hwnd, DlgRadProperty_Item_ExStyle))
+						{
+							return 1;
+						}
 						DrawRadWindow(i,pWindowInfo);
 						return 1;
@@ -2168,5 +2189,8 @@
 
 					case IDC_EXSTYLE:
-						if(!DialogBox(hResInst,MAKEINTRESOURCE(IDD_RAD_PROP_ITEM_EXSTYLE),hwnd,DlgRadProperty_Item_ExStyle)) return 1;
+						if (!ActiveBasic::Resource::DialogBoxAlt(hResInst, IDD_RAD_PROP_ITEM_EXSTYLE, hwnd, DlgRadProperty_Item_ExStyle))
+						{
+							return 1;
+						}
 						DrawRadWindow(i,pWindowInfo);
 						return 1;
@@ -2475,5 +2499,8 @@
 
 					case IDC_EXSTYLE:
-						if(!DialogBox(hResInst,MAKEINTRESOURCE(IDD_RAD_PROP_ITEM_EXSTYLE),hwnd,DlgRadProperty_Item_ExStyle)) return 1;
+						if (!ActiveBasic::Resource::DialogBoxAlt(hResInst, IDD_RAD_PROP_ITEM_EXSTYLE, hwnd, DlgRadProperty_Item_ExStyle))
+						{
+							return 1;
+						}
 						DrawRadWindow(i,pWindowInfo);
 						return 1;
@@ -2610,5 +2637,8 @@
 
 					case IDC_EXSTYLE:
-						if(!DialogBox(hResInst,MAKEINTRESOURCE(IDD_RAD_PROP_ITEM_EXSTYLE),hwnd,DlgRadProperty_Item_ExStyle)) return 1;
+						if (!ActiveBasic::Resource::DialogBoxAlt(hResInst, IDD_RAD_PROP_ITEM_EXSTYLE, hwnd, DlgRadProperty_Item_ExStyle))
+						{
+							return 1;
+						}
 						DrawRadWindow(i,pWindowInfo);
 						return 1;
@@ -3023,5 +3053,8 @@
 
 					case IDC_EXSTYLE:
-						if(!DialogBox(hResInst,MAKEINTRESOURCE(IDD_RAD_PROP_ITEM_EXSTYLE),hwnd,DlgRadProperty_Item_ExStyle)) return 1;
+						if (!ActiveBasic::Resource::DialogBoxAlt(hResInst, IDD_RAD_PROP_ITEM_EXSTYLE, hwnd, DlgRadProperty_Item_ExStyle))
+						{
+							return 1;
+						}
 						DrawRadWindow(i,pWindowInfo);
 						return 1;
@@ -3296,5 +3329,8 @@
 
 					case IDC_EXSTYLE:
-						if(!DialogBox(hResInst,MAKEINTRESOURCE(IDD_RAD_PROP_ITEM_EXSTYLE),hwnd,DlgRadProperty_Item_ExStyle)) return 1;
+						if (!ActiveBasic::Resource::DialogBoxAlt(hResInst, IDD_RAD_PROP_ITEM_EXSTYLE, hwnd, DlgRadProperty_Item_ExStyle))
+						{
+							return 1;
+						}
 						DrawRadWindow(i,pWindowInfo);
 						return 1;
@@ -3571,5 +3607,8 @@
 
 					case IDC_EXSTYLE:
-						if(!DialogBox(hResInst,MAKEINTRESOURCE(IDD_RAD_PROP_ITEM_EXSTYLE),hwnd,DlgRadProperty_Item_ExStyle)) return 1;
+						if (!ActiveBasic::Resource::DialogBoxAlt(hResInst, IDD_RAD_PROP_ITEM_EXSTYLE, hwnd, DlgRadProperty_Item_ExStyle))
+						{
+							return 1;
+						}
 						DrawRadWindow(i,pWindowInfo);
 						return 1;
@@ -3655,5 +3694,8 @@
 
 					case IDC_EXSTYLE:
-						if(!DialogBox(hResInst,MAKEINTRESOURCE(IDD_RAD_PROP_ITEM_EXSTYLE),hwnd,DlgRadProperty_Item_ExStyle)) return 1;
+						if (!ActiveBasic::Resource::DialogBoxAlt(hResInst, IDD_RAD_PROP_ITEM_EXSTYLE, hwnd, DlgRadProperty_Item_ExStyle))
+						{
+							return 1;
+						}
 						DrawRadWindow(i,pWindowInfo);
 						return 1;
@@ -3887,5 +3929,8 @@
 
 					case IDC_EXSTYLE:
-						if(!DialogBox(hResInst,MAKEINTRESOURCE(IDD_RAD_PROP_ITEM_EXSTYLE),hwnd,DlgRadProperty_Item_ExStyle)) return 1;
+						if (!ActiveBasic::Resource::DialogBoxAlt(hResInst, IDD_RAD_PROP_ITEM_EXSTYLE, hwnd, DlgRadProperty_Item_ExStyle))
+						{
+							return 1;
+						}
 						DrawRadWindow(i,pWindowInfo);
 						return 1;
@@ -3971,5 +4016,8 @@
 
 					case IDC_EXSTYLE:
-						if(!DialogBox(hResInst,MAKEINTRESOURCE(IDD_RAD_PROP_ITEM_EXSTYLE),hwnd,DlgRadProperty_Item_ExStyle)) return 1;
+						if (!ActiveBasic::Resource::DialogBoxAlt(hResInst, IDD_RAD_PROP_ITEM_EXSTYLE, hwnd, DlgRadProperty_Item_ExStyle))
+						{
+							return 1;
+						}
 						DrawRadWindow(i,pWindowInfo);
 						return 1;
@@ -4102,5 +4150,8 @@
 
 					case IDC_EXSTYLE:
-						if(!DialogBox(hResInst,MAKEINTRESOURCE(IDD_RAD_PROP_ITEM_EXSTYLE),hwnd,DlgRadProperty_Item_ExStyle)) return 1;
+						if (!ActiveBasic::Resource::DialogBoxAlt(hResInst, IDD_RAD_PROP_ITEM_EXSTYLE, hwnd, DlgRadProperty_Item_ExStyle))
+						{
+							return 1;
+						}
 						DrawRadWindow(i,pWindowInfo);
 						return 1;
@@ -4254,5 +4305,8 @@
 
 					case IDC_EXSTYLE:
-						if(!DialogBox(hResInst,MAKEINTRESOURCE(IDD_RAD_PROP_ITEM_EXSTYLE),hwnd,DlgRadProperty_Item_ExStyle)) return 1;
+						if (!ActiveBasic::Resource::DialogBoxAlt(hResInst, IDD_RAD_PROP_ITEM_EXSTYLE, hwnd, DlgRadProperty_Item_ExStyle))
+						{
+							return 1;
+						}
 						DrawRadWindow(i,pWindowInfo);
 						return 1;
@@ -4465,5 +4519,8 @@
 
 					case IDC_EXSTYLE:
-						if(!DialogBox(hResInst,MAKEINTRESOURCE(IDD_RAD_PROP_ITEM_EXSTYLE),hwnd,DlgRadProperty_Item_ExStyle)) return 1;
+						if (!ActiveBasic::Resource::DialogBoxAlt(hResInst, IDD_RAD_PROP_ITEM_EXSTYLE, hwnd, DlgRadProperty_Item_ExStyle))
+						{
+							return 1;
+						}
 						DrawRadWindow(i,pWindowInfo);
 						return 1;
@@ -4640,5 +4697,8 @@
 
 					case IDC_EXSTYLE:
-						if(!DialogBox(hResInst,MAKEINTRESOURCE(IDD_RAD_PROP_ITEM_EXSTYLE),hwnd,DlgRadProperty_Item_ExStyle)) return 1;
+						if (!ActiveBasic::Resource::DialogBoxAlt(hResInst, IDD_RAD_PROP_ITEM_EXSTYLE, hwnd, DlgRadProperty_Item_ExStyle))
+						{
+							return 1;
+						}
 						DrawRadWindow(i,pWindowInfo);
 						return 1;