Index: branches/egtra/ab5.0/abdev/ab.sln
===================================================================
--- branches/egtra/ab5.0/abdev/ab.sln	(revision 805)
+++ branches/egtra/ab5.0/abdev/ab.sln	(revision 811)
@@ -6,6 +6,6 @@
 Project("{8BC9CEB8-8B4A-11D0-8D11-00A0C91BC942}") = "abdev", "abdev\abdev.vcxproj", "{DC1B787E-510F-4F7D-8F9A-182600904D83}"
 	ProjectSection(ProjectDependencies) = postProject
-		{D99D1033-486B-FBD7-BB5D-0A5527282864} = {D99D1033-486B-FBD7-BB5D-0A5527282864}
-		{75D495CD-8AB8-8B2D-A938-2A076F4310FF} = {75D495CD-8AB8-8B2D-A938-2A076F4310FF}
+		{D4E28FAB-FF4C-AA37-608F-28BC70C05ED9} = {D4E28FAB-FF4C-AA37-608F-28BC70C05ED9}
+		{634BD4DB-1BB9-5CF1-C1AE-2CFB4209C080} = {634BD4DB-1BB9-5CF1-C1AE-2CFB4209C080}
 	EndProjectSection
 EndProject
@@ -18,7 +18,9 @@
 Project("{8BC9CEB8-8B4A-11D0-8D11-00A0C91BC942}") = "abdev-impl", "abdev-impl\abdev-impl.vcxproj", "{58FF88A2-86BC-4480-95F4-71AF693FEF28}"
 EndProject
-Project("{8BC9CEB8-8B4A-11D0-8D11-00A0C91BC942}") = "icon_res", "icon_res\icon_res.vcxproj", "{75D495CD-8AB8-8B2D-A938-2A076F4310FF}"
+Project("{8BC9CEB8-8B4A-11D0-8D11-00A0C91BC942}") = "icon_res", "icon_res\icon_res.vcxproj", "{634BD4DB-1BB9-5CF1-C1AE-2CFB4209C080}"
 EndProject
-Project("{8BC9CEB8-8B4A-11D0-8D11-00A0C91BC942}") = "res", "res\res.vcxproj", "{D99D1033-486B-FBD7-BB5D-0A5527282864}"
+Project("{8BC9CEB8-8B4A-11D0-8D11-00A0C91BC942}") = "res", "res\res.vcxproj", "{D4E28FAB-FF4C-AA37-608F-28BC70C05ED9}"
+EndProject
+Project("{8BC9CEB8-8B4A-11D0-8D11-00A0C91BC942}") = "compiler-impl", "compiler-impl\compiler-impl.vcxproj", "{0BD5002D-76EB-4BC4-9FBB-CA74D956B1FE}"
 EndProject
 Global
@@ -76,16 +78,24 @@
 		{58FF88A2-86BC-4480-95F4-71AF693FEF28}.Release|x64.ActiveCfg = Release|x64
 		{58FF88A2-86BC-4480-95F4-71AF693FEF28}.Release|x64.Build.0 = Release|x64
-		{75D495CD-8AB8-8B2D-A938-2A076F4310FF}.Debug|Win32.ActiveCfg = AB_Release|Win32
-		{75D495CD-8AB8-8B2D-A938-2A076F4310FF}.Debug|Win32.Build.0 = AB_Release|Win32
-		{75D495CD-8AB8-8B2D-A938-2A076F4310FF}.Debug|x64.ActiveCfg = AB_Release|Win32
-		{75D495CD-8AB8-8B2D-A938-2A076F4310FF}.Release|Win32.ActiveCfg = AB_Release|Win32
-		{75D495CD-8AB8-8B2D-A938-2A076F4310FF}.Release|Win32.Build.0 = AB_Release|Win32
-		{75D495CD-8AB8-8B2D-A938-2A076F4310FF}.Release|x64.ActiveCfg = AB_Release|Win32
-		{D99D1033-486B-FBD7-BB5D-0A5527282864}.Debug|Win32.ActiveCfg = Release|Win32
-		{D99D1033-486B-FBD7-BB5D-0A5527282864}.Debug|Win32.Build.0 = Release|Win32
-		{D99D1033-486B-FBD7-BB5D-0A5527282864}.Debug|x64.ActiveCfg = Release|Win32
-		{D99D1033-486B-FBD7-BB5D-0A5527282864}.Release|Win32.ActiveCfg = Release|Win32
-		{D99D1033-486B-FBD7-BB5D-0A5527282864}.Release|Win32.Build.0 = Release|Win32
-		{D99D1033-486B-FBD7-BB5D-0A5527282864}.Release|x64.ActiveCfg = Release|Win32
+		{634BD4DB-1BB9-5CF1-C1AE-2CFB4209C080}.Debug|Win32.ActiveCfg = AB_Release|Win32
+		{634BD4DB-1BB9-5CF1-C1AE-2CFB4209C080}.Debug|Win32.Build.0 = AB_Release|Win32
+		{634BD4DB-1BB9-5CF1-C1AE-2CFB4209C080}.Debug|x64.ActiveCfg = AB_Release|Win32
+		{634BD4DB-1BB9-5CF1-C1AE-2CFB4209C080}.Release|Win32.ActiveCfg = AB_Release|Win32
+		{634BD4DB-1BB9-5CF1-C1AE-2CFB4209C080}.Release|Win32.Build.0 = AB_Release|Win32
+		{634BD4DB-1BB9-5CF1-C1AE-2CFB4209C080}.Release|x64.ActiveCfg = AB_Release|Win32
+		{D4E28FAB-FF4C-AA37-608F-28BC70C05ED9}.Debug|Win32.ActiveCfg = Release|Win32
+		{D4E28FAB-FF4C-AA37-608F-28BC70C05ED9}.Debug|Win32.Build.0 = Release|Win32
+		{D4E28FAB-FF4C-AA37-608F-28BC70C05ED9}.Debug|x64.ActiveCfg = Release|Win32
+		{D4E28FAB-FF4C-AA37-608F-28BC70C05ED9}.Release|Win32.ActiveCfg = Release|Win32
+		{D4E28FAB-FF4C-AA37-608F-28BC70C05ED9}.Release|Win32.Build.0 = Release|Win32
+		{D4E28FAB-FF4C-AA37-608F-28BC70C05ED9}.Release|x64.ActiveCfg = Release|Win32
+		{0BD5002D-76EB-4BC4-9FBB-CA74D956B1FE}.Debug|Win32.ActiveCfg = Debug|Win32
+		{0BD5002D-76EB-4BC4-9FBB-CA74D956B1FE}.Debug|Win32.Build.0 = Debug|Win32
+		{0BD5002D-76EB-4BC4-9FBB-CA74D956B1FE}.Debug|x64.ActiveCfg = Debug|x64
+		{0BD5002D-76EB-4BC4-9FBB-CA74D956B1FE}.Debug|x64.Build.0 = Debug|x64
+		{0BD5002D-76EB-4BC4-9FBB-CA74D956B1FE}.Release|Win32.ActiveCfg = Release|Win32
+		{0BD5002D-76EB-4BC4-9FBB-CA74D956B1FE}.Release|Win32.Build.0 = Release|Win32
+		{0BD5002D-76EB-4BC4-9FBB-CA74D956B1FE}.Release|x64.ActiveCfg = Release|x64
+		{0BD5002D-76EB-4BC4-9FBB-CA74D956B1FE}.Release|x64.Build.0 = Release|x64
 	EndGlobalSection
 	GlobalSection(SolutionProperties) = preSolution